# VxAdmin Error Messages

VxAdmin is programmed to intuitively explain problems to an election official.

| Error Message                                                                                                                                  | Election Official Action                                                                                                                                           | Log File Entry                                                                         |
| ---------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------- |
| **Smart card error messages**                                                                                                                  |                                                                                                                                                                    |                                                                                        |
| Card Backward                                                                                                                                  | Flip the smart card and reinsert it.                                                                                                                               | <p>eventId: auth-login<br>disposition: failure<br>reason: card\_error</p>              |
| Invalid Card                                                                                                                                   | Follow the instructions on screen. Primary actions include trying a different card, programming a fresh card, and checking your machine date and time.             | <p>eventId: auth-login<br>disposition: failure<br>reason: Multiple possible values</p> |
| <p>Error programming \<cardRole> card.<br>Error resetting \<cardRole> card PIN.<br>Error unprogramming \<cardRole> card.</p>                   | Try the card action again and, if that doesn't work, try a different card. The card may be damaged or not a VotingWorks-issued card.                               | <p>eventId: smart-card-program-complete<br>disposition: failure</p>                    |
| **Formatting USB drives**                                                                                                                      |                                                                                                                                                                    |                                                                                        |
| Failed to Format USB Drive                                                                                                                     | Try again and, if that doesn't work, try a different USB drive.                                                                                                    | <p>eventId: usb-drive-format-complete<br>disposition: failure</p>                      |
| **Election package configuration**                                                                                                             |                                                                                                                                                                    |                                                                                        |
| <p>Invalid election package zip file.<br>Invalid election definition file.<br>Invalid system settings file.</p>                                | Double check that you're attempting to load a valid VotingWorks-provided election package file.                                                                    | <p>eventId: election-configured<br>disposition: failure</p>                            |
| Number of \<limitType> in \<electionEntity> (\<value>) exceeds system limit of \<limitValue>.                                                  | Use an election definition that is within system limits.                                                                                                           | <p>eventId: election-configured<br>disposition: failure</p>                            |
| **Importing CVRs**                                                                                                                             |                                                                                                                                                                    |                                                                                        |
| There was an error reading the contents of \<exportName>: Unable to authenticate cast vote records. Try exporting them from the scanner again. | Try exporting CVRs from the relevant scanner again. The CVRs may be damaged, e.g., because the USB drive was pulled from the machine while data was being written. | <p>eventId: import-cast-vote-records-complete<br>disposition: failure</p>              |
| **Other**                                                                                                                                      |                                                                                                                                                                    |                                                                                        |
| Card Reader Not Detected                                                                                                                       | Restart the machine. If problems persist after restarting, ask your election official to contact VotingWorks support.                                              | <p>eventId: auth-login<br>disposition: failure<br>reason: no\_card\_reader</p>         |
| Something went wrong - Please restart the machine.\*                                                                                           | Restart the machine. If problems persist after restarting, ask your election official to contact VotingWorks support.                                              | eventId: unknown-error                                                                 |

\*Error messages with an asterisk next to them correspond to unexpected error states where the cause is not immediately known. VotingWorks will likely ask for logs after the election to identify the cause and improve the product for future elections.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voting.works/vxsuite-user-manual-v4/vxadmin-system-setup/vxadmin-error-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
